> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/enterprises/managed > Get enterprises managed by your tenant, filtered by enterprise type. For MSP-managed enterprises, responses include MSP pool fields such as allocated_credits and credit_allocation_contract_expiration when applicable. ## OpenAPI ````json GET /v1/enterprises/managed { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/enterprises/managed": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "type", "in": "query", "description": "msp or enterprise", "required": true, "schema": { "type": "string", "example": "ENUM_VALUE" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1EnterprisesManagedGetResponse" } } } } }, "description": "Get enterprises managed by your tenant, filtered by enterprise type. For MSP-managed enterprises, responses include MSP pool fields such as allocated_credits and credit_allocation_contract_expiration when applicable." } } }, "components": { "schemas": { "v1EnterprisesManagedGetResponse": { "type": "object", "properties": { "counts": { "$ref": "#/components/schemas/iamCounts" }, "enterprises": { "type": "array", "items": { "$ref": "#/components/schemas/iamEnterprise" } } }, "additionalProperties": false }, "iamCounts": { "type": "object", "properties": { "activeDownCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "activeUpCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "deactivatedDownCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "downSitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "emptySitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "impairedSitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "stagingDownCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "stagingUpCount": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalCustomers": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalEdges": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalMsps": { "type": "integer", "format": "int64", "example": 1234567891011 }, "totalSites": { "type": "integer", "format": "int64", "example": 1234567891011 }, "upSitesCount": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "iamEnterprise": { "type": "object", "properties": { "acceptEula": { "type": "boolean", "example": true }, "accountType": { "type": "string", "example": "ENUM_VALUE" }, "adminEmail": { "type": "string", "example": "example string" }, "backboneApisEnabled": { "type": "boolean", "example": true }, "cloudProvider": { "type": "string", "example": "ENUM_VALUE" }, "companyName": { "type": "string", "example": "example string" }, "counts": { "$ref": "#/components/schemas/iamCounts" }, "creditLimit": { "type": "integer", "format": "int32", "example": 123 }, "customers": { "type": "object", "additionalProperties": { "$ref": "#/components/schemas/iamCustomer" } }, "description": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "eulaAgreementDate": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "impersonationEnabled": { "type": "boolean", "example": true }, "logo": { "type": "string", "example": "example string" }, "marketplaceId": { "type": "string", "example": "example string" }, "parentCompanyName": { "type": "string", "example": "example string" }, "parentEnterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "portalBanner": { "type": "string", "example": "example string" }, "proxyTenantId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "smallLogo": { "type": "string", "example": "example string" }, "tokenExpiry": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "iamCustomer": { "type": "object", "properties": { "adminEmail": { "type": "string", "example": "example string" }, "companyName": { "type": "string", "example": "example string" }, "counts": { "$ref": "#/components/schemas/iamCounts" }, "description": { "type": "string", "example": "example string" }, "enterpriseId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "impersonationEnabled": { "type": "boolean", "example": true }, "marketplaceId": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````